package cn.pluss.platform.merchantAddress.impl;

import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.pluss.platform.entity.MerchantAddress;
import cn.pluss.platform.merchantAddress.MerchantAddressService;
import cn.pluss.platform.mapper.MerchantAddressMapper;

@Transactional
@Service("merchantAddressService")
public class MerchantAddressServiceImpl  implements MerchantAddressService{

	 private static final Logger logger = LoggerFactory.getLogger( MerchantAddressServiceImpl.class);


    @Autowired
	  private MerchantAddressMapper merchantAddressMapper;

    @Override
    public MerchantAddress queryMerchantAddress(MerchantAddress merchantAddress){
        return merchantAddressMapper.queryMerchantAddress(merchantAddress);
    }

    @Override
    public List<MerchantAddress> queryMerchantAddressList(MerchantAddress merchantAddress){
        return merchantAddressMapper.queryMerchantAddressList(merchantAddress);
    }
    @Override
    public void saveMerchantAddress(MerchantAddress merchantAddress){
          merchantAddressMapper.saveMerchantAddress(merchantAddress);
    }
    @Override
    public void updateMerchantAddress(MerchantAddress merchantAddress){
        merchantAddressMapper.updateMerchantAddress(merchantAddress);
    }
    @Override
    public void deleteMerchantAddress(MerchantAddress merchantAddress){
        merchantAddressMapper.deleteMerchantAddress(merchantAddress);
    }
    @Override
    public List<MerchantAddress> queryMerchantAddressPage(Map map){
        return merchantAddressMapper.queryMerchantAddressPage(map);
    }
    @Override
    public Integer queryMerchantAddressPageCount(Map map){
        return merchantAddressMapper.queryMerchantAddressPageCount(map);
    }
    @Override
    public void saveMerchantAddressBatch(List<MerchantAddress> merchantAddressList) {
         merchantAddressMapper.saveMerchantAddressBatch(merchantAddressList);
    }
}

